package ru.micord.ervu.account_applications.model;

import java.util.List;
import java.util.Set;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class RecruitmentData {
  @JsonProperty("id")
  private String id;
  @JsonProperty("codeDomainType")
  private String type;
  private RegionInfo region;
  private String name;
  private String fullName;
  private String shortName;
  private boolean reportsEnabled;
  private boolean active;
  private long created;
  private long modified;
  private String postalAddressId;
  private String addressId;
  private String militaryCode;
  private String timeZone;
  private String subpoenaSeriesCode;
  private int version;
  private ReferenceEntity parent;
  private List<ReferenceEntity> solutions;
  private Set<RecruitmentIpData> ipAddresses;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public RegionInfo getRegion() {
    return region;
  }

  public void setRegion(RegionInfo region) {
    this.region = region;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getFullName() {
    return fullName;
  }

  public void setFullName(String fullName) {
    this.fullName = fullName;
  }

  public String getShortName() {
    return shortName;
  }

  public void setShortName(String shortName) {
    this.shortName = shortName;
  }

  public boolean isReportsEnabled() {
    return reportsEnabled;
  }

  public void setReportsEnabled(boolean reportsEnabled) {
    this.reportsEnabled = reportsEnabled;
  }

  public boolean isActive() {
    return active;
  }

  public void setActive(boolean active) {
    this.active = active;
  }

  public long getCreated() {
    return created;
  }

  public void setCreated(long created) {
    this.created = created;
  }

  public long getModified() {
    return modified;
  }

  public void setModified(long modified) {
    this.modified = modified;
  }

  public String getPostalAddressId() {
    return postalAddressId;
  }

  public void setPostalAddressId(String postalAddressId) {
    this.postalAddressId = postalAddressId;
  }

  public String getAddressId() {
    return addressId;
  }

  public void setAddressId(String addressId) {
    this.addressId = addressId;
  }

  public String getMilitaryCode() {
    return militaryCode;
  }

  public void setMilitaryCode(String militaryCode) {
    this.militaryCode = militaryCode;
  }

  public String getTimeZone() {
    return timeZone;
  }

  public void setTimeZone(String timeZone) {
    this.timeZone = timeZone;
  }

  public String getSubpoenaSeriesCode() {
    return subpoenaSeriesCode;
  }

  public void setSubpoenaSeriesCode(String subpoenaSeriesCode) {
    this.subpoenaSeriesCode = subpoenaSeriesCode;
  }

  public int getVersion() {
    return version;
  }

  public void setVersion(int version) {
    this.version = version;
  }

  public ReferenceEntity getParent() {
    return parent;
  }

  public void setParent(ReferenceEntity parent) {
    this.parent = parent;
  }

  public List<ReferenceEntity> getSolutions() {
    return solutions;
  }

  public void setSolutions(
      List<ReferenceEntity> solutions) {
    this.solutions = solutions;
  }

  public Set<RecruitmentIpData> getIpAddresses() {
    return ipAddresses;
  }

  public void setIpAddresses(Set<RecruitmentIpData> ipAddresses) {
    this.ipAddresses = ipAddresses;
  }
}
